#ifndef TYPE_B_H
#define TYPE_B_H

#ifdef __cplusplus
 extern "C" {
#endif

/******************************************************************************/
/* Include files                                                              */
/******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>
#include "fm175xx.h"

extern uint8_t PUPI[4];

bool TypeB_Request(uint32_t *rece_len, uint8_t *buff, uint8_t *card_sn);
bool TypeB_Select(uint8_t *card_sn, uint32_t *rece_len, uint8_t *buff);
bool TypeB_GetUID(uint32_t *rece_len, uint8_t *buff);
bool TypeB_Halt(uint8_t *card_sn);
bool TypeB_WUP(uint32_t *rece_len, uint8_t *buff, uint8_t *card_sn);

#ifdef __cplusplus
}
#endif

#endif /* __TYPE_B_H__ */
